poi-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject [Bug 59170] New: Remove deprecated classes (POI 3.15)
Date Sat, 12 Mar 2016 00:05:19 GMT
https://bz.apache.org/bugzilla/show_bug.cgi?id=59170

            Bug ID: 59170
           Summary: Remove deprecated classes (POI 3.15)
           Product: POI
           Version: 3.15-dev
          Hardware: All
                OS: All
            Status: NEW
          Severity: normal
          Priority: P2
         Component: POI Overall
          Assignee: dev@poi.apache.org
          Reporter: kiwiwings@apache.org

This bug entry is a container for deprecated changes occurring until POI 3.15
is out.
To qualify for a removal, the deprecation notice needs to be at least 2
releases old.
See [1] and [2] for the discussion on our removal strategy.

The first deprecates will be from 2008 ... so nearly a decade ago ...

Andi

[1]
http://apache-poi.1045710.n5.nabble.com/deprecated-handling-reloaded-tt5721071.html
[2]
http://apache-poi.1045710.n5.nabble.com/Logging-Binary-compatibility-tt5719152.html

-- 
You are receiving this mail because:
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@poi.apache.org
For additional commands, e-mail: dev-help@poi.apache.org


Mime
View raw message